Returns the first value in the set

- « Ds\Set::filter

- Ds\Set::get »

- PHP Manual
- Ds\Set
- Returns the first value in the set

# Ds\Set::first

(PECL ds >= 1.0.0)

Ds\Set::first — Returns the first value in the set

### Description

public Ds\Set::first(): mixed

Returns the first value in the set.

### Parameters

This function has no parameters.

### Return Values

The first value in the set.

### Errors/Exceptions

UnderflowException if empty.

### Examples

Example #1 Ds\Set::first() example

    <?php
    $set = new \Ds\Set([1, 2, 3]);
    var_dump($set->first());
    ?>

The above example will output something similar to:

    int(1)